{
  "name": "client",
  "version": "1.0.0",
  "description": "",
  "main": "index.js",
  "scripts": {
    "browserifyf": "func() { browserify --debug -p [ tsify ] $1 > $2; }; func",
    "watchifyfdev": "func() { watchify -t [ envify --NODE_ENV development ] --debug --verbose -p [ tsify ] $1 -o $2; }; func",
    "watchifyfprod": "func() { watchify -g uglifyify -t [ envify --NODE_ENV production ] --debug --verbose -p [ tsify ] $1 -o $2; }; func",
    "watchifyfcssdev": "func() { watchify -t [ envify --NODE_ENV development ] -t [ browserify-css ] --output $1 ] --debug --verbose -p [ tsify ] $2 -o $3; }; func",
    "watchifyfcssprod": "func() { watchify -t [ envify --NODE_ENV production ] -t [ browserify-css ] --debug --verbose -p [ tsify ] $1 -o $2; }; func",
    "injectdev": "func() { watchify -t [ envify --NODE_ENV development ] -t [ browserify-css --output dist/inject.css ] --debug --verbose -p [ tsify ] src/inject.ts -o dist/inject.js; }; func",
    "injectprod": "func() { watchify -t [ envify --NODE_ENV production ] -g [ uglifyify ] -t [ browserify-css --output dist/inject.css ] --debug --verbose -p [ tsify ] src/inject.ts -o dist/inject.js; }; func",
    "seatmapdev": "func() { watchify -t [ envify --NODE_ENV development ] -t [ browserify-css --output dist/seatmap.css ] --debug --verbose -p [ tsify ] src/seatmap.ts -o dist/seatmap.js; }; func",
    "seatmapprod": "func() { watchify -t [ envify --NODE_ENV production ] -g [ uglifyify ] -t [ browserify-css --output dist/seatmap.css ] --debug --verbose -p [ tsify ] src/seatmap.ts -o dist/seatmap.js; }; func",
    "prod": "func() { browserify -t [ envify --NODE_ENV production ] -g [ uglifyify ] -t [ browserify-css --output dist/inject.css ] --debug --verbose -p [ tsify ] src/inject.ts -o dist/inject.js; browserify -t [ envify --NODE_ENV production ] -g [ uglifyify ] -t [ browserify-css --output dist/seatmap.css ] --debug --verbose -p [ tsify ] src/seatmap.ts -o dist/seatmap.js; }; func",
    "dev": "func() { browserify -t [ envify --NODE_ENV development ] -g [ uglifyify ] -t [ browserify-css --output dist/inject.css ] --debug --verbose -p [ tsify ] src/inject.ts -o dist/inject.js; browserify -t [ envify --NODE_ENV development ] -g [ uglifyify ] -t [ browserify-css --output dist/seatmap.css ] --debug --verbose -p [ tsify ] src/seatmap.ts -o dist/seatmap.js; }; func"
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "devDependencies": {
    "@types/axios": "^0.14.0",
    "@types/jquery": "^3.5.5",
    "@types/jqueryui": "^1.12.14",
    "@types/xml2js": "^0.4.8",
    "browserify": "^17.0.0",
    "browserify-css": "^0.15.0",
    "envify": "^4.1.0",
    "iconv-lite": "^0.6.3",
    "jquery": "^3.6.0",
    "jquery-ui": "^1.12.1",
    "tsify": "^5.0.2",
    "uglify-js": "^3.13.0",
    "uglifyify": "^5.0.2"
  },
  "dependencies": {
    "@panzoom/panzoom": "^4.3.2",
    "axios": "^0.21.1",
    "jbox": "^1.2.14",
    "xml2js": "^0.4.23"
  },
  "browserify-css": {
    "autoInject": false,
    "minify": true,
    "rootDir": ".",
    "stripComments": true,
    "minifyOptions": {
      "level": 2
    }
  }
}
